﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using System.ServiceModel;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        BasicHttpBinding basicBinding = new BasicHttpBinding();
        EndpointAddress endPoint = new EndpointAddress("http://www.domain.com/DASPService/Service.svc");

        ChannelFactory<IService> daspChannel = new ChannelFactory<IService>(basicBinding, endPoint);
        IService daspService = daspChannel.CreateChannel();

        Response.Write(daspService.SayHello());
        daspChannel.Close();
    }
}
